<?php 

/**
 * SharedController Controller
 * @category  Controller / Model
 */
class SharedController extends BaseController{
	
	/**
     * admins_admin_id_value_exist Model Action
     * @return array
     */
	function admins_admin_id_value_exist($val){
		$db = $this->GetModel();
		$db->where("admin_id", $val);
		$exist = $db->has("admins");
		return $exist;
	}

	/**
     * admins_admin_id_default_value Model Action
     * @return Value
     */
	function admins_admin_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * admins_country_id_option_list Model Action
     * @return array
     */
	function admins_country_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT country_id AS value , country_name_en AS label FROM countries ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * admins_user_id_option_list Model Action
     * @return array
     */
	function admins_user_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT user_id AS value,user_email AS label FROM users";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * brands_brand_id_value_exist Model Action
     * @return array
     */
	function brands_brand_id_value_exist($val){
		$db = $this->GetModel();
		$db->where("brand_id", $val);
		$exist = $db->has("brands");
		return $exist;
	}

	/**
     * brands_brand_id_option_list Model Action
     * @return array
     */
	function brands_brand_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "Select uuid();";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * brands_brand_id_default_value Model Action
     * @return Value
     */
	function brands_brand_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * countries_country_id_default_value Model Action
     * @return Value
     */
	function countries_country_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * customer_addresses_customer_id_option_list Model Action
     * @return array
     */
	function customer_addresses_customer_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT user_id AS value , customer_full_name AS label FROM customers ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * customer_addresses_country_id_option_list Model Action
     * @return array
     */
	function customer_addresses_country_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT country_id AS value , country_name_en AS label FROM countries ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * customers_customer_id_value_exist Model Action
     * @return array
     */
	function customers_customer_id_value_exist($val){
		$db = $this->GetModel();
		$db->where("customer_id", $val);
		$exist = $db->has("customers");
		return $exist;
	}

	/**
     * customers_customer_id_default_value Model Action
     * @return Value
     */
	function customers_customer_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * delivery_charge_options_delivery_charge_option_id_value_exist Model Action
     * @return array
     */
	function delivery_charge_options_delivery_charge_option_id_value_exist($val){
		$db = $this->GetModel();
		$db->where("delivery_charge_option_id", $val);
		$exist = $db->has("delivery_charge_options");
		return $exist;
	}

	/**
     * delivery_charge_options_delivery_charge_option_id_default_value Model Action
     * @return Value
     */
	function delivery_charge_options_delivery_charge_option_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * delivery_charge_options_country_id_option_list Model Action
     * @return array
     */
	function delivery_charge_options_country_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT country_id AS value , country_name_en AS label FROM countries ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * drivers_country_id_option_list Model Action
     * @return array
     */
	function drivers_country_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT country_id AS value , country_name_en AS label FROM countries ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * drivers_user_id_option_list Model Action
     * @return array
     */
	function drivers_user_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT user_id AS value,user_email AS label FROM users";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * order_invoices_order_id_option_list Model Action
     * @return array
     */
	function order_invoices_order_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT order_id AS value , order_id AS label FROM orders ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * order_status_logs_order_id_option_list Model Action
     * @return array
     */
	function order_status_logs_order_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT order_id AS value , order_id AS label FROM orders ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * product_ratings_product_id_option_list Model Action
     * @return array
     */
	function product_ratings_product_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT product_id AS value , product_name_en AS label FROM products ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * product_ratings_customer_id_option_list Model Action
     * @return array
     */
	function product_ratings_customer_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT user_id AS value , customer_full_name AS label FROM customers ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * product_resources_resource_id_value_exist Model Action
     * @return array
     */
	function product_resources_resource_id_value_exist($val){
		$db = $this->GetModel();
		$db->where("resource_id", $val);
		$exist = $db->has("product_resources");
		return $exist;
	}

	/**
     * product_resources_resource_id_default_value Model Action
     * @return Value
     */
	function product_resources_resource_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * product_resources_product_id_option_list Model Action
     * @return array
     */
	function product_resources_product_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT product_id AS value , product_name_en AS label FROM products ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * products_product_id_value_exist Model Action
     * @return array
     */
	function products_product_id_value_exist($val){
		$db = $this->GetModel();
		$db->where("product_id", $val);
		$exist = $db->has("products");
		return $exist;
	}

	/**
     * products_product_id_default_value Model Action
     * @return Value
     */
	function products_product_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * products_category_id_option_list Model Action
     * @return array
     */
	function products_category_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT category_id AS value , category_name_en AS label FROM sector_categories ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * products_brand_id_option_list Model Action
     * @return array
     */
	function products_brand_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT brand_id AS value , brand_name_en AS label FROM brands ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * products_country_id_option_list Model Action
     * @return array
     */
	function products_country_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT country_id AS value , country_name_en AS label FROM countries ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * sector_categories_category_id_value_exist Model Action
     * @return array
     */
	function sector_categories_category_id_value_exist($val){
		$db = $this->GetModel();
		$db->where("category_id", $val);
		$exist = $db->has("sector_categories");
		return $exist;
	}

	/**
     * sector_categories_category_id_default_value Model Action
     * @return Value
     */
	function sector_categories_category_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * sector_categories_sector_id_option_list Model Action
     * @return array
     */
	function sector_categories_sector_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT sector_id AS value , sector_name_en AS label FROM sectors WHERE sector_status != 'deleted' ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * sectors_sector_id_value_exist Model Action
     * @return array
     */
	function sectors_sector_id_value_exist($val){
		$db = $this->GetModel();
		$db->where("sector_id", $val);
		$exist = $db->has("sectors");
		return $exist;
	}

	/**
     * sectors_sector_id_default_value Model Action
     * @return Value
     */
	function sectors_sector_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * users_user_id_default_value Model Action
     * @return Value
     */
	function users_user_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid()";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * users_user_email_value_exist Model Action
     * @return array
     */
	function users_user_email_value_exist($val){
		$db = $this->GetModel();
		$db->where("user_email", $val);
		$exist = $db->has("users");
		return $exist;
	}

	/**
     * users_user_role_id_option_list Model Action
     * @return array
     */
	function users_user_role_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT role_id AS value, role_name AS label FROM roles";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * users_userable_id_option_list Model Action
     * @return array
     */
	function users_userable_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT driver_id AS value,driver_full_name AS label FROM drivers";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * users_user_role_id_option_list_2 Model Action
     * @return array
     */
	function users_user_role_id_option_list_2(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT role_id AS value , role_name AS label FROM roles ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * users_user_id_default_value_2 Model Action
     * @return Value
     */
	function users_user_id_default_value_2(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * order_products_product_id_option_list Model Action
     * @return array
     */
	function order_products_product_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT product_id AS value , product_name_en AS label FROM products ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

}
