<?php 
//check if current user role is allowed access to the pages
$can_add = ACL::is_allowed("sectors/add");
$can_edit = ACL::is_allowed("sectors/edit");
$can_view = ACL::is_allowed("sectors/view");
$can_delete = ACL::is_allowed("sectors/delete");
?>
<?php
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
$field_name = $this->route->field_name;
$field_value = $this->route->field_value;
$view_data = $this->view_data;
$records = $view_data->records;
$record_count = $view_data->record_count;
$total_records = $view_data->total_records;
if (!empty($records)) {
?>
<!--record-->
<?php
$counter = 0;
foreach($records as $data){
$rec_id = (!empty($data['sector_id']) ? urlencode($data['sector_id']) : null);
$counter++;
?>
<tr>
    <?php if($can_delete){ ?>
    <th class=" td-checkbox">
        <label class="custom-control custom-checkbox custom-control-inline">
            <input class="optioncheck custom-control-input" name="optioncheck[]" value="<?php echo $data['sector_id'] ?>" type="checkbox" />
                <span class="custom-control-label"></span>
            </label>
        </th>
        <?php } ?>
        <th class="td-sno"><?php echo $counter; ?></th>
        <td class="td-sector_name_en"> <?php echo $data['sector_name_en']; ?></td>
        <td class="td-sector_name_ar"> <?php echo $data['sector_name_ar']; ?></td>
        <td class="td-sector_preview_img"><?php Html :: page_img($data['sector_preview_img'],50,50,1); ?></td>
        <td class="td-sector_status"><?php if($data['sector_status'] == 'active') {?>
            <span class ="badge-active"><?php echo $data['sector_status']; ?></span> 
            <?php } ?>
            
            <?php if($data['sector_status'] == 'pending') {?>
            <span class ="badge-pending"><?php echo $data['sector_status']; ?></span> 
            <?php } ?>
        </td>
        <td class="td-created_at">
            <span title="<?php echo human_datetime($data['created_at']); ?>" class="has-tooltip">
                <?php echo relative_date($data['created_at']); ?>
            </span>
        </td>
        <td class="page-list-action td-btn">
            <div class="dropdown" >
                <button data-toggle="dropdown" class="dropdown-toggle btn btn-primary btn-sm">
                    <i class="material-icons">menu</i> 
                </button>
                <ul class="dropdown-menu">
                    <?php if($can_view){ ?>
                    <a class="dropdown-item" href="<?php print_link("sectors/view/$rec_id"); ?>">
                        <i class="material-icons">visibility</i> <?php print_lang('view'); ?> 
                    </a>
                    <?php } ?>
                    <?php if($can_edit){ ?>
                    <a class="dropdown-item" href="<?php print_link("sectors/edit/$rec_id"); ?>">
                        <i class="material-icons">edit</i> <?php print_lang('edit'); ?>
                    </a>
                    <?php } ?>
                    <?php if($can_delete){ ?>
                    <a  class="dropdown-item record-delete-btn" href="<?php print_link("sectors/delete/$rec_id/?csrf_token=$csrf_token&redirect=$current_page"); ?>" data-prompt-msg="Are you sure you want to delete this record?" data-display-style="modal">
                        <i class="material-icons">clear</i> <?php print_lang('delete'); ?> 
                    </a>
                    <?php } ?>
                </ul>
            </div>
        </td>
    </tr>
    <?php 
    }
    ?>
    <?php
    } else {
    ?>
    <td class="no-record-found col-12" colspan="100">
        <h4 class="text-muted text-center ">
            <?php print_lang('no_record_found'); ?>
        </h4>
    </td>
    <?php
    }
    ?>
    