<?php
$comp_model = new SharedController;
$page_element_id = "add-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
$show_header = $this->show_header;
$view_title = $this->view_title;
$redirect_to = $this->redirect_to;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="add"  data-display-type="" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title"><?php print_lang('add_new_users'); ?></h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-7 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="bg-light p-3 animated fadeIn page-content">
                        <form id="users-admin_add-form" role="form" novalidate enctype="multipart/form-data" class="form page-form form-horizontal needs-validation" action="<?php print_link("users/admin_add?csrf_token=$csrf_token") ?>" method="post">
                            <div>
                                <input id="ctrl-user_id"  value="<?php echo $comp_model->users_user_id_default_value() ?>" type="hidden" placeholder="<?php print_lang('enter_user_id'); ?>"  required="" name="user_id"  data-url="api/json/users_user_id_value_exist/" data-loading-msg="<?php print_lang('checking_availability_'); ?>" data-available-msg="<?php print_lang('available'); ?>" data-unavailable-msg="<?php print_lang('not_available'); ?>" class="form-control  ctrl-check-duplicate" />
                                    <div class="check-status"></div>
                                    <div class="form-group ">
                                        <div class="row">
                                            <div class="col-sm-4">
                                                <label class="control-label" for="user_email"><?php print_lang('admin_email'); ?> <span class="text-danger">*</span></label>
                                            </div>
                                            <div class="col-sm-8">
                                                <div class="">
                                                    <input id="ctrl-user_email"  value="<?php  echo $this->set_field_value('user_email',""); ?>" type="email" placeholder="<?php print_lang('enter_admin_email'); ?>"  required="" name="user_email"  data-url="api/json/users_user_email_value_exist/" data-loading-msg="<?php print_lang('checking_availability_'); ?>" data-available-msg="<?php print_lang('available'); ?>" data-unavailable-msg="<?php print_lang('not_available'); ?>" class="form-control  ctrl-check-duplicate" />
                                                        <div class="check-status"></div> 
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group ">
                                            <div class="row">
                                                <div class="col-sm-4">
                                                    <label class="control-label" for="user_mobile_number"><?php print_lang('admin_mobile_number'); ?> <span class="text-danger">*</span></label>
                                                </div>
                                                <div class="col-sm-8">
                                                    <div class="">
                                                        <input id="ctrl-user_mobile_number"  value="<?php  echo $this->set_field_value('user_mobile_number',""); ?>" type="text" placeholder="<?php print_lang('enter_admin_mobile_number'); ?>"  required="" name="user_mobile_number"  data-url="api/json/users_user_mobile_number_value_exist/" data-loading-msg="<?php print_lang('checking_availability_'); ?>" data-available-msg="<?php print_lang('available'); ?>" data-unavailable-msg="<?php print_lang('not_available'); ?>" class="form-control  ctrl-check-duplicate" />
                                                            <div class="check-status"></div> 
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <input id="ctrl-user_password"  value="<?php  echo $this->set_field_value('user_password',random_chars(12)); ?>" type="hidden" placeholder="<?php print_lang('enter_user_password'); ?>" maxlength="255"  required="" name="user_password"  class="form-control " />
                                                <div class="form-group ">
                                                    <div class="row">
                                                        <div class="col-sm-4">
                                                            <label class="control-label" for="user_status"><?php print_lang('user_status'); ?> <span class="text-danger">*</span></label>
                                                        </div>
                                                        <div class="col-sm-8">
                                                            <div class="">
                                                                <select required=""  id="ctrl-user_status" name="user_status"  placeholder="<?php print_lang('select_a_value_'); ?>"    class="custom-select" >
                                                                    <option value=""><?php print_lang('select_a_value_'); ?></option>
                                                                    <?php
                                                                    $user_status_options = Menu :: $brand_status;
                                                                    if(!empty($user_status_options)){
                                                                    foreach($user_status_options as $option){
                                                                    $value = $option['value'];
                                                                    $label = $option['label'];
                                                                    $selected = $this->set_field_selected('user_status', $value, "");
                                                                    ?>
                                                                    <option <?php echo $selected ?> value="<?php echo $value ?>">
                                                                        <?php echo $label ?>
                                                                    </option>                                   
                                                                    <?php
                                                                    }
                                                                    }
                                                                    ?>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <input id="ctrl-userable_id"  value="<?php  echo $this->set_field_value('userable_id',$modeldata['admin_id']); ?>" type="hidden" placeholder="<?php print_lang('enter_userable_id'); ?>"  required="" name="userable_id"  class="form-control " />
                                                    <div class="form-group ">
                                                        <div class="row">
                                                            <div class="col-sm-4">
                                                                <label class="control-label" for="user_role_id"><?php print_lang('admin_role'); ?> <span class="text-danger">*</span></label>
                                                            </div>
                                                            <div class="col-sm-8">
                                                                <div class="">
                                                                    <select required=""  id="ctrl-user_role_id" name="user_role_id"  placeholder="<?php print_lang('select_a_value_'); ?>"    class="custom-select" >
                                                                        <option value=""><?php print_lang('select_a_value_'); ?></option>
                                                                        <?php 
                                                                        $user_role_id_options = $comp_model -> users_user_role_id_option_list();
                                                                        if(!empty($user_role_id_options)){
                                                                        foreach($user_role_id_options as $option){
                                                                        $value = (!empty($option['value']) ? $option['value'] : null);
                                                                        $label = (!empty($option['label']) ? $option['label'] : $value);
                                                                        $selected = $this->set_field_selected('user_role_id',$value, "");
                                                                        ?>
                                                                        <option <?php echo $selected; ?> value="<?php echo $value; ?>">
                                                                            <?php echo $label; ?>
                                                                        </option>
                                                                        <?php
                                                                        }
                                                                        }
                                                                        ?>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="bg-light p-2 subform">
                                                    <h4 class="record-title">Add New Admins</h4>
                                                    <hr />
                                                    <div>
                                                        <table class="table table-striped table-sm" data-maxrow="10" data-minrow="1">
                                                            <thead>
                                                                <tr>
                                                                    <th class="bg-light"><label for="admin_full_name"><?php print_lang('admin_full_name'); ?></label></th>
                                                                    <th class="bg-light"><label for="country_id"><?php print_lang('country_id'); ?></label></th>
                                                                    <th></th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <?php 
                                                                for( $row = 1; $row <= 1; $row++ ){
                                                                ?>
                                                                <tr class="input-row">
                                                                    <input id="ctrl-admin_id-row<?php echo $row; ?>"  value="<?php echo $comp_model->admins_admin_id_default_value() ?>" type="hidden" placeholder="<?php print_lang('enter_admin_id'); ?>"  required="" name="admins[row<?php echo $row ?>][admin_id]"  data-url="api/json/admins_admin_id_value_exist/" data-loading-msg="[html-lang-0131]" data-available-msg="[html-lang-0133]" data-unavailable-msg="[html-lang-0132]" class="form-control  ctrl-check-duplicate" />
                                                                        <div class="check-status"></div>
                                                                        <td>
                                                                            <div id="ctrl-admin_full_name-row<?php echo $row; ?>-holder" class="">
                                                                                <input id="ctrl-admin_full_name-row<?php echo $row; ?>"  value="<?php  echo $this->set_field_value('admin_full_name',"", $row); ?>" type="text" placeholder="<?php print_lang('enter_admin_full_name'); ?>"  required="" name="admins[row<?php echo $row ?>][admin_full_name]"  class="form-control " />
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <div id="ctrl-country_id-row<?php echo $row; ?>-holder" class="">
                                                                                    <select required=""  id="ctrl-country_id-row<?php echo $row; ?>" name="admins[row<?php echo $row ?>][country_id]"  placeholder="<?php print_lang('select_a_value_'); ?>"    class="custom-select" >
                                                                                        <option value=""><?php print_lang('select_a_value_'); ?></option>
                                                                                        <?php 
                                                                                        $country_id_options = $comp_model -> admins_country_id_option_list();
                                                                                        if(!empty($country_id_options)){
                                                                                        foreach($country_id_options as $option){
                                                                                        $value = (!empty($option['value']) ? $option['value'] : null);
                                                                                        $label = (!empty($option['label']) ? $option['label'] : $value);
                                                                                        $selected = $this->set_field_selected('country_id',$value, "");
                                                                                        ?>
                                                                                        <option <?php echo $selected; ?> value="<?php echo $value; ?>">
                                                                                            <?php echo $label; ?>
                                                                                        </option>
                                                                                        <?php
                                                                                        }
                                                                                        }
                                                                                        ?>
                                                                                    </select>
                                                                                </div>
                                                                            </td>
                                                                            <th class="text-center">
                                                                                <button type="button" class="close btn-remove-table-row">&times;</button>
                                                                            </th>
                                                                        </tr>
                                                                        <?php 
                                                                        }
                                                                        ?>
                                                                    </tbody>
                                                                    <tfoot>
                                                                        <tr>
                                                                            <th colspan="100" class="text-right">
                                                                                <?php $template_id = "table-row-" . random_str(); ?>
                                                                                <button type="button" data-template="#<?php echo $template_id ?>" class="btn btn-sm btn-light btn-add-table-row"><i class="material-icons">add</i></button>
                                                                            </th>
                                                                        </tr>
                                                                    </tfoot>
                                                                </table>
                                                            </div>
                                                        </div>
                                                        <div class="form-group form-submit-btn-holder text-center mt-3">
                                                            <div class="form-ajax-status"></div>
                                                            <button class="btn btn-primary" type="submit">
                                                                <?php print_lang('submit'); ?>
                                                                <i class="material-icons">send</i>
                                                            </button>
                                                        </div>
                                                        </form><template id="<?php echo $template_id ?>">
                                                        <tr class="input-row">
                                                            <?php $row = 1; ?>
                                                            <input id="ctrl-admin_id-row<?php echo $row; ?>"  value="<?php echo $comp_model->admins_admin_id_default_value() ?>" type="hidden" placeholder="<?php print_lang('enter_admin_id'); ?>"  required="" name="admins[row<?php echo $row ?>][admin_id]"  data-url="api/json/admins_admin_id_value_exist/" data-loading-msg="[html-lang-0131]" data-available-msg="[html-lang-0133]" data-unavailable-msg="[html-lang-0132]" class="form-control  ctrl-check-duplicate" />
                                                                <div class="check-status"></div>
                                                                <td>
                                                                    <div id="ctrl-admin_full_name-row<?php echo $row; ?>-holder" class="">
                                                                        <input id="ctrl-admin_full_name-row<?php echo $row; ?>"  value="<?php  echo $this->set_field_value('admin_full_name',"", $row); ?>" type="text" placeholder="<?php print_lang('enter_admin_full_name'); ?>"  required="" name="admins[row<?php echo $row ?>][admin_full_name]"  class="form-control " />
                                                                        </div>
                                                                    </td>
                                                                    <td>
                                                                        <div id="ctrl-country_id-row<?php echo $row; ?>-holder" class="">
                                                                            <select required=""  id="ctrl-country_id-row<?php echo $row; ?>" name="admins[row<?php echo $row ?>][country_id]"  placeholder="<?php print_lang('select_a_value_'); ?>"    class="custom-select" >
                                                                                <option value=""><?php print_lang('select_a_value_'); ?></option>
                                                                                <?php 
                                                                                $country_id_options = $comp_model -> admins_country_id_option_list();
                                                                                if(!empty($country_id_options)){
                                                                                foreach($country_id_options as $option){
                                                                                $value = (!empty($option['value']) ? $option['value'] : null);
                                                                                $label = (!empty($option['label']) ? $option['label'] : $value);
                                                                                $selected = $this->set_field_selected('country_id',$value, "");
                                                                                ?>
                                                                                <option <?php echo $selected; ?> value="<?php echo $value; ?>">
                                                                                    <?php echo $label; ?>
                                                                                </option>
                                                                                <?php
                                                                                }
                                                                                }
                                                                                ?>
                                                                            </select>
                                                                        </div>
                                                                    </td>
                                                                    <th class="text-center">
                                                                        <button type="button" class="close btn-remove-table-row">&times;</button>
                                                                    </th>
                                                                </tr>
                                                            </template>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </section>
